Bug 708293 - as7: modify datasources
as7: modify datasources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Libor Zoubek
Mike Foley
:
Depends On: 708291
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-05-27 03:34 EDT by Heiko W. Rupp
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-05-27 03:34:59 EDT
Modify data source properties as long as underyling AS supports modifying the parameters.

For some parameters a reboot may be needed

Not yet clear: modifying the jdbc driver should be done by deleting the data source and re-creating it with a different driver - unless AS provides an easy way to do it on the fly.
Comment 1 Heiko W. Rupp 2011-08-16 11:45:29 EDT
Pushed to 4.2
Modification of an existing datasource works for the few items that are read-write in the AS so far.

This needs to be re-visited in a later stage of As7.1
Comment 2 Charles Crouch 2011-10-04 14:07:11 EDT
Setting priority on enhancements to as7 plugin to high. They don't block the JON3 release, but will be needed for subsequent release
Comment 3 Heiko W. Rupp 2012-02-14 11:56:12 EST
Modifiying of datasources works.

For xa-datasources, editing of xa-properties does not yet work (but they can be displayed)
Comment 5 Heiko W. Rupp 2012-04-11 05:37:15 EDT
Editing of XA properties works.

It may be the case that if you modify one, submit, modify a 2nd one, submit the 2nd submit fails because the as7-server is after the 1st submit  in a state of "restart needed" and does not want to accept the 2nd change.

This code is in the plugin since mid February - I forgot to update this BZ.
Comment 6 Heiko W. Rupp 2013-09-01 15:22:11 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.